Subject: Re: linux-next: manual merge of the pidfd tree with Linus' tree

From: Stephen Rothwell <[email-masked]>
Date: Tue, 9 Jul 2019 09:17:47 +1000

Hi all,

On Thu, 6 Jun 2019 15:40:34 +1000 Stephen Rothwell <[email-masked]> wrote:
>
> Today's linux-next merge of the pidfd tree got a conflict in:
> 
>   tools/testing/selftests/pidfd/pidfd_test.c
> 
> between commit:
> 
>   1fcd0eb356ad ("tests: fix pidfd-test compilation")
> 
> from Linus' tree and commit:
> 
>   233ad92edbea ("pidfd: add polling selftests")
> 
> from the pidfd tree.
> 
> I fixed it up (I just used the latter) and can carry the fix as
> necessary. This is now fixed as far as linux-next is concerned, but any
> non trivial conflicts should be mentioned to your upstream maintainer
> when your tree is submitted for merging.  You may also want to consider
> cooperating with the maintainer of the conflicting tree to minimise any
> particularly complex conflicts.

I am still getting this conflict (the commit ids may have changed).
Just a reminder in case you think Linus may need to know.

-- 
Cheers,
Stephen Rothwell